%define devel %mklibname %{name} -d
%define date 20230616
%define rel 4

Name: qoi
Version: 0
Release: %mkrel -c git%{date} %{rel}
License: MIT
Summary: The “Quite OK Image Format” for fast, lossless image compression
Group: Graphics/Editors and Converters
URL: https://qoiformat.org/
Source0: https://github.com/phoboslab/qoi/archive/refs/heads/master.tar.gz#/qoi-%{version}-git%{date}.tar.gz
Patch1: qoi-ldflags.patch
BuildRequires: pkgconfig(libpng)
BuildRequires: stb-devel

%description
QOI is fast. It losslessly compresses images to a similar size of PNG,
while offering 20x-50x faster encoding and 3x-4x faster decoding.

QOI is simple. The reference en-/decoder fits in about 300 lines of C.
The file format specification is a single page PDF.

%package -n %{devel}
Summary: Development header for The “Quite OK Image Format”
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devel}
Development header file (%{name}.h)

%prep
%autosetup -n %{name}-master -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}

install -Dpm755 qoibench %{buildroot}%{_bindir}
install -Dpm755 qoiconv %{buildroot}%{_bindir}
install -Dpm644 qoi.h %{buildroot}%{_includedir}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}*

%files -n %{devel}
%{_includedir}/%{name}.h


%changelog
* Sat Jun 17 2023 wally <wally> 0-0.git20230616.4.mga9
+ Revision: 1962243
- build using our compiler flags
- enable debug pkgs

* Fri Jun 16 2023 kekepower <kekepower> 0-0.git20230616.3.mga9
+ Revision: 1962165
- Try BR %%{_lib}stb-devel

* Fri Jun 16 2023 kekepower <kekepower> 0-0.git20230616.2.mga9
+ Revision: 1962160
- Exclude aarch64 to see if package builds at all
- Bump rel for rebuild
- imported package qoi

